Example

Loading...
Searching...
No Matches
Functions
CEEGTimedData.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
Include dependency graph for CEEGTimedData.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
| CLC_STRUCT_WN (EEGTimedData, clCEEGTimedData)
| Array of EEG data with timepoints.
CL_DLL int32_t | clCEEGTimedData_GetChannelsCount (clCEEGTimedData eegTimedData) NOEXCEPT
CL_DLL int32_t | clCEEGTimedData_GetSamplesCount (clCEEGTimedData eegTimedData) NOEXCEPT
CL_DLL float | clCEEGTimedData_GetValue (clCEEGTimedData eegTimedData, int32_t channelIndex, int32_t sampleIndex) NOEXCEPT
CL_DLL uint64_t | clCEEGTimedData_GetTimepoint (clCEEGTimedData eegTimedData, int32_t index) NOEXCEPT

## Function Documentation

## ◆ CLC_STRUCT_WN()

CLC_STRUCT_WN | ( | EEGTimedData | ,
|  | clCEEGTimedData |
| ) |  |

Array of EEG data with timepoints.

Contains vector of EEG channels and timestamps

## ◆ clCEEGTimedData_GetChannelsCount()

CL_DLL int32_t clCEEGTimedData_GetChannelsCount | ( | clCEEGTimedData | eegTimedData | ) |

Get number of EEG channels.

Parameters

  eegTimedData | EEG values

Returns
  number of channels

## ◆ clCEEGTimedData_GetSamplesCount()

CL_DLL int32_t clCEEGTimedData_GetSamplesCount | ( | clCEEGTimedData | eegTimedData | ) |

Get number of EEG samples in a channel.

Parameters

  eegTimedData | EEG values

Returns
  number of samples in a channel

## ◆ clCEEGTimedData_GetTimepoint()

CL_DLL uint64_t clCEEGTimedData_GetTimepoint | ( | clCEEGTimedData | eegTimedData,
|  | int32_t | index
| ) |  |

Get EEG time point by index.

Parameters

  eegTimedData | EEG values
  index | index

Returns
  time point in microseconds

## ◆ clCEEGTimedData_GetValue()

CL_DLL float clCEEGTimedData_GetValue | ( | clCEEGTimedData | eegTimedData,
|  | int32_t | channelIndex,
|  | int32_t | sampleIndex
| ) |  |

Get EEG value by channel index and sample index.

Parameters

  eegTimedData | eeg timed values
  channelIndex | index of a channel
  sampleIndex | index of a sample in a channel

Returns
  eeg value